const mongoose = require("mongoose");

const botChatMessageSchema = new mongoose.Schema(
  {
    botuuid: String,
    botName: String,
    user: { type: mongoose.Schema.Types.ObjectId, ref: "User", required: true },
    message: String,
    reply: String,
    thread: String,
  },
  { timestamps: true }
);

const BotChatMessage = mongoose.model("BotChatMessage", botChatMessageSchema);

module.exports = BotChatMessage;
